/**
 * Represents event arguments for
*/
var StockPopulateEventArgs = /** @class */ (function () {
    function StockPopulateEventArgs() {
    }
    Object.defineProperty(StockPopulateEventArgs.prototype, "i", {
        /**
         * @hidden
         */
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    StockPopulateEventArgs.prototype.onImplementationCreated = function () {
    };
    StockPopulateEventArgs.prototype._provideImplementation = function (i) {
        this._implementation = i;
        this._implementation.externalObject = this;
        this.onImplementationCreated();
    };
    Object.defineProperty(StockPopulateEventArgs.prototype, "symbol", {
        /**
        
        */
        get: function () {
            return this.i.symbol;
        },
        set: function (v) {
            this.i.symbol = v;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(StockPopulateEventArgs.prototype, "name", {
        /**
        
        */
        get: function () {
            return this.i.name;
        },
        set: function (v) {
            this.i.name = v;
        },
        enumerable: true,
        configurable: true
    });
    return StockPopulateEventArgs;
}());
export { StockPopulateEventArgs };
